ubuntu/+source/skanlite:applied/debian/sid

Last commit made on 2020-02-16
Get this branch:
git clone -b applied/debian/sid https://git.launchpad.net/ubuntu/+source/skanlite
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/sid
Repository:
lp:ubuntu/+source/skanlite

Recent commits

8dc0bb7... by Aurélien COUDERC on 2020-02-16

Import patches-applied version 2.1.0.1-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: cf6d363dd0aaf17716fe1418b57147c052fc5f01
Unapplied parent: e9b2d7b99220ac679b226cba4af323dbcda6c7ae

New changelog entries:
  * Team upload.
  * Update upstream project website URL.
  * Fix Salsa project URLs in Vcs-* fields.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Drop transition for old debug package migration.
  * Migrate debian/copyright to machine readable format (DEP-5).
  * Bump Standards-Version to 4.5.0: add Rules-Requires-Root: no.
  * Remove obsolete DH_ALWAYS_EXCLUDE from debian/rules.
  * Add hardening=+all build hardening flag.

e9b2d7b... by Aurélien COUDERC on 2020-02-16

Import patches-unapplied version 2.1.0.1-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b52e0806855b4f56a90590a01d0852bfc5d48948

New changelog entries:
  * Team upload.
  * Update upstream project website URL.
  * Fix Salsa project URLs in Vcs-* fields.
  * Switch to debhelper-compat build dependency, bump compatibility level to
    12.
  * Drop transition for old debug package migration.
  * Migrate debian/copyright to machine readable format (DEP-5).
  * Bump Standards-Version to 4.5.0: add Rules-Requires-Root: no.
  * Remove obsolete DH_ALWAYS_EXCLUDE from debian/rules.
  * Add hardening=+all build hardening flag.

cf6d363... by Pino Toscano <email address hidden> on 2018-04-14

Import patches-applied version 2.1.0.1-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 7f5f4b31c6c2ddb832fd49f906c303af6c1d337c
Unapplied parent: b52e0806855b4f56a90590a01d0852bfc5d48948

New changelog entries:
  * Team upload.
  * New upstream release.
  * Switch watch file to https.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libkf5textwidgets-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Explicitly add the gettext build dependency.
  * Remove trailing whitespaces in changelog.

b52e080... by Pino Toscano <email address hidden> on 2018-04-14

Import patches-unapplied version 2.1.0.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0eb5c9d02d8ae05f7cf52bb57bc15157e89f2e33

New changelog entries:
  * Team upload.
  * New upstream release.
  * Switch watch file to https.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove the libkf5textwidgets-dev build dependency, no more needed now.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Explicitly add the gettext build dependency.
  * Remove trailing whitespaces in changelog.

7f5f4b3... by Pino Toscano <email address hidden> on 2016-12-03

Import patches-applied version 2.0.1-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 04beef6c3725c5a43b41c95e8332c567325aabbc
Unapplied parent: 0eb5c9d02d8ae05f7cf52bb57bc15157e89f2e33

New changelog entries:
  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Remove debian/source/options, so the default compression for the debian
    tarball is used.
  * Stop replacing kooka, since it is long gone.
  * Slightly touches to the descriptions: remove the "KDE 4" bits, and stop
    mentioning Kooka.

0eb5c9d... by Pino Toscano <email address hidden> on 2016-12-03

Import patches-unapplied version 2.0.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5b9db25d1d449c007c0aaf1cf4d785cbb422df42

New changelog entries:
  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Remove debian/source/options, so the default compression for the debian
    tarball is used.
  * Stop replacing kooka, since it is long gone.
  * Slightly touches to the descriptions: remove the "KDE 4" bits, and stop
    mentioning Kooka.

04beef6... by Pino Toscano <email address hidden> on 2016-06-10

Import patches-applied version 2.0-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 092d38eb127a7c81a26d1ed1ed1ec389c2205ea2
Unapplied parent: 5b9db25d1d449c007c0aaf1cf4d785cbb422df42

New changelog entries:
  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update patches:
    - add_upstream_changelog.patch: drop, obsolete, and not something we want
      to keep carrying manually
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libksane-dev
    - add qtbase5-dev, extra-cmake-modules, libkf5coreaddons-dev,
      kdoctools-dev, libkf5i18n-dev, kio-dev, libkf5sane-dev,
      libkf5textwidgets-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.
  * Remove skanlite-dbg in favour of the -dbgsym packages.
  * Since there is only a single binary, remove skanlite.install and stop
    passing --list-missing to dh_install: everything is installed directly.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

5b9db25... by Pino Toscano <email address hidden> on 2016-06-10

Import patches-unapplied version 2.0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: d840c1df7e31414a91e14693a07845eae4d1efef

New changelog entries:
  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update patches:
    - add_upstream_changelog.patch: drop, obsolete, and not something we want
      to keep carrying manually
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, and libksane-dev
    - add qtbase5-dev, extra-cmake-modules, libkf5coreaddons-dev,
      kdoctools-dev, libkf5i18n-dev, kio-dev, libkf5sane-dev,
      libkf5textwidgets-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to >= 2.8.12, according to the upstream
    build system.
  * Remove skanlite-dbg in favour of the -dbgsym packages.
  * Since there is only a single binary, remove skanlite.install and stop
    passing --list-missing to dh_install: everything is installed directly.
  * Update Vcs-* fields.
  * Bump Standards-Version to 3.9.8, no changes required.

092d38e... by Mark Purcell on 2013-05-13

Import patches-applied version 1.0-2 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 6c51bb84f461d34a6c19e306d6ef8ce07a2d951d
Unapplied parent: 32e12e7336fd04bcfc5a7bc08e9383f497c55b5e

New changelog entries:
  * Upload to unstable

d840c1d... by Mark Purcell on 2013-05-13

Import patches-unapplied version 1.0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: dcdc2d28540e9861a87ba5f3b855a265045d0285

New changelog entries:
  * Upload to unstable